import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import Icon from '../packages/icon/index.js'
import BForm from '../packages/b-form/index.js'
import JsonSchemaEditor from '../packages/json-schema-editor/index'
import SchemaFormCompos from '../packages/json-schema-form/index'

const {
  SchemaForm,
  formObject,
  formArray,
  formString,
  formNumber,
  formInteger,
  formBoolean,
  formOneOf,
  formRef,
  codeMirror
} = SchemaFormCompos

const components = [
  BForm,
  Icon,
  JsonSchemaEditor,
  SchemaForm,
  formObject,
  formArray,
  formString,
  formNumber,
  formInteger,
  formBoolean,
  formOneOf,
  formRef,
  codeMirror
]

const install = function (Vue, opts = {}) {
  components.forEach(component => {
    Vue.component(component.name, component)
  })

  Vue.use(ElementUI)
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  version: '1.0.0',
  install
}
